<!-- 搜索表单 -->
<template>
  <seekPage :seekList="seekList" :formLength="3" @search="search"></seekPage>
</template>
<script>
  export default {
    data() {
      return {};
    },
    computed: {
      // 表格列配置
      seekList() {
        return [
          {
            label: '工号:',
            value: 'jobNumber',
            type: 'input',
            placeholder: '工号'
          },
          {
            label: '用户账号:',
            value: 'loginName',
            type: 'input',
            placeholder: '用户账号'
          },
          {
            label: '姓名:',
            value: 'name',
            type: 'input',
            placeholder: '请输入'
          },
        ];
      }
    },
    methods: {
      /* 搜索 */
      search(e) {
        this.$emit('search', {
          ...e
        });
      }
    }
  };
</script>
